//
//  LinerGauge2.h
//  WHM viewer iOS
//
//  Created by 富樫 豊彦 on 2016/03/20.
//  Copyright © 2016年 富樫 豊彦. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CoreGraphics/CoreGraphics.h>

@interface LinerGauge2 : UIView

@property (strong, nonatomic) NSString *confScaleLow;
@property (strong, nonatomic) NSString *confScaleHigh;
@property (strong, nonatomic) NSString *confScaleSpan1;
@property (strong, nonatomic) NSString *confScaleSpan2;
@property (strong, nonatomic) NSString *confScaleLen1;
@property (strong, nonatomic) NSString *confScaleLen2;
@property (strong, nonatomic) NSString *confWarnValue;
@property (strong, nonatomic) NSString *confCriticalValue;
@property (strong, nonatomic) UIColor  *confColorScale1;
@property (strong, nonatomic) UIColor  *confColorScale2;
@property (strong, nonatomic) UIColor  *confColorNormal;
@property (strong, nonatomic) UIColor  *confColorWarn;
@property (strong, nonatomic) UIColor  *confColorCritical;
@property (strong, nonatomic) UIColor  *confColorPeak1;
@property (strong, nonatomic) UIColor  *confColorPeak2;

@property (nonatomic) float      scaleLow;
@property (nonatomic) float      scaleHigh;
@property (nonatomic) float      scaleSpan1;
@property (nonatomic) float      scaleSpan2;
@property (nonatomic) float      scaleLen1;
@property (nonatomic) float      scaleLen2;
@property (nonatomic) float      value;
@property (nonatomic) float      warnValue;
@property (nonatomic) float      criticalValue;
@property (nonatomic) float      peakValue1;
@property (nonatomic) float      peakValue2;
@property (nonatomic) CGColorRef colorScale1;
@property (nonatomic) CGColorRef colorScale2;
@property (nonatomic) CGColorRef colorNormal;
@property (nonatomic) CGColorRef colorWarn;
@property (nonatomic) CGColorRef colorCritical;
@property (nonatomic) CGColorRef colorPeak1;
@property (nonatomic) CGColorRef colorPeak2;

- (IBAction)setFloatValue:(float)sender;
- (IBAction)setPeakValue:(id)sender;

@end
